/// <reference types="node" />
import * as P from 'bluebird';
export interface WorkerConfig {
    callbackName?: string;
    warmerUrl?: string;
    width?: number;
    height?: number;
}
export declare class ShotWorker {
    id: number;
    creationTime: number;
    private debugPort;
    private browser;
    private page;
    private pageMemory;
    private shotCallback;
    private isBusy;
    constructor(id: number);
    static create(idx: number, config: WorkerConfig): Promise<ShotWorker>;
    takeShot(url: string): P<Buffer>;
    reload(): any;
    exit(): void;
    getStatus(): {
        id: number;
        browser: any;
        debugPort: number;
        memory: any;
    };
    private init(idx?, callbackName?, warmerUrl?, width?, height?);
}
